The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the Details of Domain Name Exception

Prev Next

This URL updates the details of domain name exception from the callback detection allowlist.

Resource URL

PUT /domainnameexceptions/updatedetail

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

oldDomainName

Name of the old domain

String

Yes

domainName

Name of the new domain

String

Yes

comment

Description of exception

String

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation is successful

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domainnameexceptions/updatedetail

Payload

{
	“oldDomainName”: “www.google.com”,
	"domainName": "www.google1.com", 
	"comment": "updated domain"
}

Response

{
"status": 1
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

500

1001

Internal error message: Internal server error

2

500

1001

Internal error message: Domain name field is not found <domainname>

3

500

1001

Invalid domain name. The length should be a maximum of 67 characters.

4

500

1001

Invalid domain name

5

500

1001

Duplicate domain name